Page MenuHomePhabricator

Unarchive analytics/udplog repository
Closed, ResolvedPublic

Description

The analytics/udplog repository is still in use, but was mistakenly archived in T180301: Add CI to all analytics/* repositories and archive obsolete ones.

Event Timeline

Mentioned in SAL (#wikimedia-releng) [2021-03-04T09:20:14Z] <hashar> Restored analytics/udp2log cause it got to be packaged for Buster # T276422 T180301

Change 668347 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] analytics/udplog: add non voting debian glue job

https://gerrit.wikimedia.org/r/668347

Change 668347 merged by jenkins-bot:
[integration/config@master] analytics/udplog: add non voting debian glue job

https://gerrit.wikimedia.org/r/668347

I have removed the read only flag from the Gerrit repository and added a CI job to build the Debian package (although in non voting mode it would thus not prevent faulty change from being merged).

Once the CI job for analytics/udp2log does pass, we will need another CI config change that would switch to use the voting debian-glue job and add it to gate-and-submit as well in order to run it when someone Code-Review +2.

hashar changed the task status from Open to Stalled.Mar 4 2021, 9:37 AM
hashar added a subscriber: Majavah.

This is pending port of udplog packaging to Buster and then we can make CI to enforce successful build.

Legoktm changed the task status from Stalled to Open.Mar 5 2021, 6:17 AM

This should be ready now, @Majavah fixed the remaining lintian error.

Change 670805 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] analytics/udplog: make debian glue voting

https://gerrit.wikimedia.org/r/670805

Change 670805 merged by jenkins-bot:
[integration/config@master] analytics/udplog: make debian glue voting

https://gerrit.wikimedia.org/r/670805

hashar triaged this task as Medium priority.

The debian-glue job passed on https://gerrit.wikimedia.org/r/c/analytics/udplog/+/668451 which targets buster-wikimedia. I have promoted the debian-glue job to be voting in CI and act on gate-and-submit.